<?php

namespace EasingSlider\Plugin\Capabilities;

use EasingSlider\Foundation\Capabilities\Capabilities as BaseCapabilities;

/**
 * Exit if accessed directly
 */
if ( ! defined('ABSPATH')) {
	exit;
}

class Capabilities extends BaseCapabilities
{
	/**
	 * Gets the capabilities
	 *
	 * @return array
	 */
	protected function getCapabilities()
	{
		return apply_filters('coffeeslideshow_capabilities', array(
			'coffeeslideshow_publish_sliders',
			'coffeeslideshow_edit_sliders',
			'coffeeslideshow_duplicate_sliders',
			'coffeeslideshow_delete_sliders',
			'coffeeslideshow_manage_settings',
			'coffeeslideshow_manage_addons'
		));
	}
}
