<?php

/**
 * Exit if accessed directly
 */
if ( ! defined('ABSPATH')) {
	exit;
}

if ( ! function_exists('coffeeslideshowlite')) {
	/**
	 * Displays the "SlideShow 'Lite'" slider
	 *
	 * @return void
	 */
	function coffeeslideshowlite()
	{
		echo do_shortcode('[coffeeslideshowlite]');
	}
}

if ( ! function_exists('coffeeslideshowlite_shortcode')) {
	/**
	 * Displays the "SlideShow 'Lite'" slider by shortcode
	 *
	 * @return void
	 */
	function coffeeslideshowlite_shortcode()
	{
		$liteSliderId = absint(get_option('coffeeslideshow_lite_slider_id'));

		echo do_shortcode("[coffeeslideshow id=\"{$liteSliderId}\"]");
	}
	add_shortcode('coffeeslideshowlite', 'coffeeslideshowlite_shortcode');
}
